Subject: Re: bug#42561: arm-none-eabi-toolchain fails to build

From: Efraim Flashner <[email-masked]>
Date: Tue, 28 Jul 2020 10:00:44 +0300

On Mon, Jul 27, 2020 at 06:39:11PM +0200, Jan Wielkiewicz wrote:
> I think I fixed it, but someone needs to check it.
> I looked at this issue as inspiration: https://issues.guix.gnu.org/41210
> Now the package compiles, but it didn't fail yet, so it might be the
> fix!
> That's what I did:
> 
> index e3a9017ba5..c7b8fcc0ce 100644
> --- a/gnu/packages/embedded.scm
> +++ b/gnu/packages/embedded.scm
> @@ -251,7 +251,7 @@ usable on embedded products.")
>             (origin-patches (package-source gcc-7))
>             (search-patches
> "gcc-7-cross-environment-variables.patch"))))) (native-inputs
> -       `(("gcc@5" ,gcc-5)
> +       `(("gcc@7" ,gcc-7)
>           ("flex" ,flex)
>           ("isl" ,isl-0.18)
>           ,@(alist-delete "isl" (package-native-inputs xgcc))))

The default gcc is already gcc@7. I'm test building it now with flex and
package-native-inputs xgcc. That gets the "correct" isl for gcc@7.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted